This job view page is being replaced by Spyglass soon. Check out the new job view.
ResultFAILURE
Tests 0 failed / 0 succeeded
Started2020-03-30 23:33
Elapsed6m59s
Revision
Builderabf6ac63-72de-11ea-8574-7e2b78ec67cb
links{u'resultstore': {u'url': u'https://source.cloud.google.com/results/invocations/d66a5243-0a90-47a9-aacc-835ffb47e089/targets/test'}}
resultstorehttps://source.cloud.google.com/results/invocations/d66a5243-0a90-47a9-aacc-835ffb47e089/targets/test
infra-commita0d08f988

No Test Failures!


Error lines from build-log.txt

... skipping 14 lines ...
I0330 23:33:10.834] process 30 exited with code 0 after 0.0m
I0330 23:33:10.834] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0330 23:33:10.835] Root: /workspace
I0330 23:33:10.835] cd to /workspace
I0330 23:33:10.836] Configure environment...
I0330 23:33:10.836] Call:  git show -s --format=format:%ct HEAD
W0330 23:33:10.856] fatal: not a git repository (or any of the parent directories): .git
I0330 23:33:10.857] process 43 exited with code 128 after 0.0m
W0330 23:33:10.857] Unable to print commit date for HEAD
I0330 23:33:10.858] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0330 23:33:12.979] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0330 23:33:14.056] process 44 exited with code 0 after 0.1m
I0330 23:33:14.057] Call:  gcloud config get-value account
... skipping 35 lines ...
W0330 23:39:52.644]     self.send(msg)
W0330 23:39:52.644]   File "/usr/lib/python3.6/http/client.py", line 974, in send
W0330 23:39:52.645]     self.connect()
W0330 23:39:52.645]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 184, in connect
W0330 23:39:52.645]     conn = self._new_conn()
W0330 23:39:52.645]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 169, in _new_conn
W0330 23:39:52.645]     self, "Failed to establish a new connection: %s" % e
W0330 23:39:52.645] urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPConnection object at 0x7f86ffd7c320>: Failed to establish a new connection: [Errno 110] Connection timed out
W0330 23:39:52.646] 
W0330 23:39:52.646] During handling of the above exception, another exception occurred:
W0330 23:39:52.646] 
W0330 23:39:52.646] Traceback (most recent call last):
W0330 23:39:52.646]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 449, in send
W0330 23:39:52.646]     timeout=timeout
W0330 23:39:52.646]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connectionpool.py", line 720, in urlopen
W0330 23:39:52.647]     method, url, error=e, _pool=self, _stacktrace=sys.exc_info()[2]
W0330 23:39:52.647]   File "/usr/local/lib/python3.6/dist-packages/urllib3/util/retry.py", line 436, in increment
W0330 23:39:52.647]     raise MaxRetryError(_pool, url, error or ResponseError(cause))
W0330 23:39:52.647] urllib3.exceptions.MaxRetryError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f86ffd7c320>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0330 23:39:52.648] 
W0330 23:39:52.648] During handling of the above exception, another exception occurred:
W0330 23:39:52.648] 
W0330 23:39:52.648] Traceback (most recent call last):
W0330 23:39:52.648]   File "test-infra/kettle/monitor.py", line 116, in <module>
W0330 23:39:52.648]     sys.exit(main(sys.argv[1:]))
... skipping 12 lines ...
W0330 23:39:52.650]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 533, in request
W0330 23:39:52.651]     resp = self.send(prep, **send_kwargs)
W0330 23:39:52.651]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 646, in send
W0330 23:39:52.651]     r = adapter.send(request, **kwargs)
W0330 23:39:52.651]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 516, in send
W0330 23:39:52.651]     raise ConnectionError(e, request=request)
W0330 23:39:52.652] requests.exceptions.ConnectionError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f86ffd7c320>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0330 23:39:52.695] Traceback (most recent call last):
W0330 23:39:52.695]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 50, in <module>
W0330 23:39:52.695]     main(ARGS.env, ARGS.cmd + ARGS.args)
W0330 23:39:52.695]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 41, in main
W0330 23:39:52.695]     check(*cmd)
W0330 23:39:52.696]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 30, in check
W0330 23:39:52.696]     subprocess.check_call(cmd)
W0330 23:39:52.696]   File "/usr/lib/python2.7/subprocess.py", line 190, in check_call
W0330 23:39:52.696]     raise CalledProcessError(retcode, cmd)
W0330 23:39:52.696] subprocess.CalledProcessError: Command '('test-infra/kettle/monitor.py', '--stale=6', '--table', 'k8s-gubernator:build.all', 'k8s-gubernator:build.week', 'k8s-gubernator:build.day')' returned non-zero exit status 1
E0330 23:39:52.706] Command failed
I0330 23:39:52.706] process 252 exited with code 1 after 6.6m
E0330 23:39:52.706] FAIL: metrics-kettle
I0330 23:39:52.707] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0330 23:39:53.676] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0330 23:39:54.541] process 256 exited with code 0 after 0.0m
I0330 23:39:54.542] Call:  gcloud config get-value account
I0330 23:39:55.878] process 269 exited with code 0 after 0.0m
I0330 23:39:55.879] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0330 23:39:55.879] Upload result and artifacts...
I0330 23:39:55.879] Gubernator results at https://gubernator.k8s.io/build/kubernetes-jenkins/logs/metrics-kettle/1244769513224802304
W0330 23:39:55.880] Missing local artifacts : /workspace/_artifacts
W0330 23:39:55.880] metadata path /workspace/_artifacts/metadata.json does not exist
W0330 23:39:55.880] metadata not found or invalid, init with empty metadata
I0330 23:39:55.881] Call:  git rev-parse HEAD
W0330 23:39:55.893] fatal: not a git repository (or any of the parent directories): .git
E0330 23:39:55.894] Command failed
I0330 23:39:55.894] process 281 exited with code 128 after 0.0m
I0330 23:39:55.895] Call:  git rev-parse HEAD
I0330 23:39:55.901] process 282 exited with code 0 after 0.0m
I0330 23:39:55.902] Call:  gsutil stat gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json
I0330 23:39:58.626] process 283 exited with code 0 after 0.0m
I0330 23:39:58.627] Call:  gsutil -q cat 'gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json#1585607919764852'
... skipping 8 lines ...